> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yourflexpay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Authorize a user and return redirect URL with auth-code



## OpenAPI

````yaml /openapi/sso.openapi.json post /sso/auth-code
openapi: 3.0.3
info:
  title: Wallet SSO API
  version: 1.0.0
  description: OpenAPI specification for the Wallet service API.
servers:
  - url: https://staging-api.yourflexpay.com/v2
    description: Staging
  - url: https://sandbox-api.yourflexpay.com/v2
    description: Sandbox
  - url: https://api.yourflexpay.com/v2
    description: Live
security:
  - PartnerIdHeader: []
    PartnerApiKeyHeader: []
tags:
  - name: SSO Auth
  - name: SSO Wallet
  - name: SSO Transaction
  - name: SSO Payment Request
  - name: SSO PayTag
  - name: SSO QR
  - name: SSO Beneficiary
paths:
  /sso/auth-code:
    post:
      tags:
        - SSO Auth
      summary: Authorize a user and return redirect URL with auth-code
      parameters:
        - in: query
          name: scope
          required: true
          schema:
            type: string
            enum:
              - profile
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PayTagSsoAuthRequestDto'
      responses:
        '200':
          description: Redirect URL with auth-code
          content:
            text/plain:
              schema:
                type: string
      security:
        - ClientIdHeader: []
          ApiKeyHeader: []
components:
  schemas:
    PayTagSsoAuthRequestDto:
      type: object
      required:
        - paytag
        - password
      properties:
        paytag:
          type: string
        password:
          type: string
  securitySchemes:
    ClientIdHeader:
      type: apiKey
      in: header
      name: x-client-id
    ApiKeyHeader:
      type: apiKey
      in: header
      name: x-api-key

````